#ifndef Z2PlusZProcessor_H
#define Z2PlusZProcessor_H
/*########################################################################
	File:			Z2PlusZProcessor.h
	Author:			Mark
	Creation date:	25th May 2002

	Copyright 2002 Mark Williams.

########################################################################*/

/*########################################################################
	Headers
########################################################################*/

#include "Processor.h"

/*########################################################################
	Declarations
########################################################################*/

/*########################################################################
	Class Definition
########################################################################*/

/**	Implements 'Processor' to generate the Mandelbrot set.
 */
class Z2PlusZProcessor : public Processor
{
public:
	virtual ComplexNumber iterate (const ComplexNumber& z, const ComplexNumber& u) const ;
	virtual int iterate_to_end (const ComplexNumber& initial_z, const ComplexNumber& u, int max_itns) const ;
} ;


/*########################################################################
	End
########################################################################*/
#endif
