#if !defined(AFX_OPTIONSDLG_H__75A4F0B5_CBEF_4B53_99D5_88BFB28E714E__INCLUDED_)
#define AFX_OPTIONSDLG_H__75A4F0B5_CBEF_4B53_99D5_88BFB28E714E__INCLUDED_
/*########################################################################
	OptionsDlg.h

	Copyright 2002 Mark Williams, all rights reserved.
	Contact: mark@extrabit.com
	http://www.extrabit.com

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

########################################################################*/

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


/////////////////////////////////////////////////////////////////////////////
// COptionsDlg dialog

/**	This derived CDialog class is used for the panel that comes up
 *	when the user selects the "View/Options..." menu command.
 */
class COptionsDlg : public CDialog
{
// Construction
public:
	COptionsDlg(CWnd* pParent = NULL);   // standard constructor

	int inq_aa_gridsize (void) const { return m_aa_gridsize ; }
	void set_aa_gridsize (int aa_gridsize) { m_aa_gridsize = aa_gridsize ; }

// Dialog Data
	//{{AFX_DATA(COptionsDlg)
	enum { IDD = IDD_OPTIONS_DLG };
	CComboBox	m_aa_combo;
	int		m_palette_size;
	BOOL	m_progressive;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COptionsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(COptionsDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	int m_aa_gridsize ;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OPTIONSDLG_H__75A4F0B5_CBEF_4B53_99D5_88BFB28E714E__INCLUDED_)
